Extending Qt Creator Manual | ISnippetProvider

Extending Qt Creator Manual 4.3.0

# ISnippetProvider Class

(TextEditor::ISnippetProvider)

The ISnippetProvider class acts as an interface for providing groups of snippets. More...

Header: | #include <ISnippetProvider>

- List of all members, including inherited members

## Public Functions

virtual | ~ISnippetProvider()
virtual void | decorateEditor(SnippetEditorWidget *editor) const = 0
virtual QString | displayName() const = 0
virtual QString | groupId() const = 0

## Protected Functions

| ISnippetProvider()

## Detailed Description

The ISnippetProvider class acts as an interface for providing groups of snippets.

Known implementors of this interface are the CppSnippetProvider, the QmlJSSnippetProvider, and the PlainTextSnippetProvider.

## Member Function Documentation

### `[protected]` ISnippetProvider::ISnippetProvider()

Default constructs an instance of ISnippetProvider.

### `[virtual]` ISnippetProvider::~ISnippetProvider()

Destroys the instance of ISnippetProvider. The destructor is virtual.

### `[pure virtual]` void ISnippetProvider::decorateEditor(SnippetEditorWidget *editor) const

This is a hook which allows you to apply customizations such as highlighting or indentation to the snippet editor.

### `[pure virtual]` QString ISnippetProvider::displayName() const

Returns the name to be displayed in the user interface for snippets that belong to the group associated with this provider.

### `[pure virtual]` QString ISnippetProvider::groupId() const

Returns the unique group id to which this provider is associated.